Hi experts,
I have a ListView control from where I drag items to Drawing area. Whenever mouse leaves the ListView Control and enters the AutoCAD drawing area, AutoCAD claims the mouse cursor back to Cross Pointer.
Is it possible to change this cursor during drag operation to a pointer with some attachment? As normally happened in Windows Explorer while dragging and dropping files among folders.
Thanks a bunch.
Farrukh
Solved! Go to Solution.
Hi experts,
I have a ListView control from where I drag items to Drawing area. Whenever mouse leaves the ListView Control and enters the AutoCAD drawing area, AutoCAD claims the mouse cursor back to Cross Pointer.
Is it possible to change this cursor during drag operation to a pointer with some attachment? As normally happened in Windows Explorer while dragging and dropping files among folders.
Thanks a bunch.
Farrukh
Solved! Go to Solution.
You have a ListView where? In an AutoCAD extension? Or, in another application?
@Anonymous wrote:Hi experts,
I have a ListView control from where I drag items to Drawing area. Whenever mouse leaves the ListView Control and enters the AutoCAD drawing area, AutoCAD claims the mouse cursor back to Cross Pointer.
Is it possible to change this cursor during drag operation to a pointer with some attachment? As normally happened in Windows Explorer while dragging and dropping files among folders.
Thanks a bunch.
Farrukh
You have a ListView where? In an AutoCAD extension? Or, in another application?
@Anonymous wrote:Hi experts,
I have a ListView control from where I drag items to Drawing area. Whenever mouse leaves the ListView Control and enters the AutoCAD drawing area, AutoCAD claims the mouse cursor back to Cross Pointer.
Is it possible to change this cursor during drag operation to a pointer with some attachment? As normally happened in Windows Explorer while dragging and dropping files among folders.
Thanks a bunch.
Farrukh
You'll have to show the code you're using to start the drag and drop operation.
BTW, the drag & drop cursor is displayed by AutoCAD, not by your application, and has nothing to do with setting a wait cursor or setting any type of cursor yourself, in case you followed the link posted in another reply.
You'll have to show the code you're using to start the drag and drop operation.
BTW, the drag & drop cursor is displayed by AutoCAD, not by your application, and has nothing to do with setting a wait cursor or setting any type of cursor yourself, in case you followed the link posted in another reply.
Ahhh, finally I solved it :). I was trying to change the mouse cursor from Cross to Pointer with attachement (i.e. Copying).
Got the tip from Managing drag & drop from a palette into AutoCAD using .NET.
In our mouse event handler we have to call AutoCAD's Application.DoDragDrop method. Here is my implemention which worked as expected.
// lv_Symbols: ListView control
void lv_Symbols_ItemDrag(object sender, ItemDragEventArgs e)
{
lv_SelectedItem = e.Item as ListViewItem;
if (lv_SelectedItem != null)
{
Autodesk.AutoCAD.ApplicationServices.Application.DoDragDrop(this.lv_Symbols, "", DragDropEffects.Copy, new DroplvSymbols(lv_SelectedItem.Tag.ToString()));
}
}
Second parameter (DragDropEffects) is used to chagge the mouse cursor, which exactly I wanted.
Last parameter of DoDragDrop is another class which is handling our Drop event. Here is the listings:
public class DroplvSymbols : Autodesk.AutoCAD.Windows.DropTarget { private string cmd; //This would be send to ACAD active document // Constructor public DroplvSymbols(string ListViewItemTag) { this.cmd = ListViewItemTag; } //Handling Drop event. We send AutoCAD a command here. public override void OnDrop(DragEventArgs e) { Document doc = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument; doc.SendStringToExecute(cmd, true, false, false); } }
I hope it would be beneficial for others too :).
Thanks all for your efforts.
Regards
Farrukh
Ahhh, finally I solved it :). I was trying to change the mouse cursor from Cross to Pointer with attachement (i.e. Copying).
Got the tip from Managing drag & drop from a palette into AutoCAD using .NET.
In our mouse event handler we have to call AutoCAD's Application.DoDragDrop method. Here is my implemention which worked as expected.
// lv_Symbols: ListView control
void lv_Symbols_ItemDrag(object sender, ItemDragEventArgs e)
{
lv_SelectedItem = e.Item as ListViewItem;
if (lv_SelectedItem != null)
{
Autodesk.AutoCAD.ApplicationServices.Application.DoDragDrop(this.lv_Symbols, "", DragDropEffects.Copy, new DroplvSymbols(lv_SelectedItem.Tag.ToString()));
}
}
Second parameter (DragDropEffects) is used to chagge the mouse cursor, which exactly I wanted.
Last parameter of DoDragDrop is another class which is handling our Drop event. Here is the listings:
public class DroplvSymbols : Autodesk.AutoCAD.Windows.DropTarget { private string cmd; //This would be send to ACAD active document // Constructor public DroplvSymbols(string ListViewItemTag) { this.cmd = ListViewItemTag; } //Handling Drop event. We send AutoCAD a command here. public override void OnDrop(DragEventArgs e) { Document doc = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument; doc.SendStringToExecute(cmd, true, false, false); } }
I hope it would be beneficial for others too :).
Thanks all for your efforts.
Regards
Farrukh
Can't find what you're looking for? Ask the community or share your knowledge.